# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-07-06 18:59
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def create_default_contribution(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Service = apps.get_model("services", "Service")
    RecurringPayment = apps.get_model("banking", "RecurringPayment")
    for service in Service.objects.using(db_alias).all():
        if not service.contribution:
            service.contribution = RecurringPayment.objects.using(db_alias).create()
            service.save()


class Migration(migrations.Migration):

    dependencies = [
        ('banking', '0006_auto_20170705_1825'),
        ('services', '0035_antenna_orientation'),
    ]

    operations = [
        migrations.AddField(
            model_name='service',
            name='contribution',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='banking.RecurringPayment'),
        ),
        migrations.RunPython(create_default_contribution),
        migrations.AlterField(
            model_name='service',
            name='contribution',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='banking.RecurringPayment'),
        ),
    ]
