from django.views.generic import DetailView
from django.contrib.auth.mixins import LoginRequiredMixin

from .models import Service


class ServiceDetail(LoginRequiredMixin, DetailView):
    def get_queryset(self):
        adhesions = self.request.user.profile.adhesions.values_list('pk')
        return Service.objects.filter(adhesion__pk__in=adhesions).order_by('service_type')
